<template>
    <v-navigation-drawer fixed v-model="localDrawer" app>
        <v-toolbar flat class="secondary">
            <v-list class="pa-0">
                <v-list-tile>
                    <v-list-tile-avatar>
                        <img :src="$auth.user.picture">
                    </v-list-tile-avatar>
                    <v-list-tile-content>
                        <v-list-tile-title>{{$auth.user.name}}</v-list-tile-title>
                    </v-list-tile-content>
                </v-list-tile>
            </v-list>
        </v-toolbar>


        <v-list dense class="pt-0">
         <v-list-group prepend-icon="work_outline" no-action value="true">
              <v-list-tile slot="activator">
                <v-list-tile-title>{{ $i18n.t("menu.applications") }}</v-list-tile-title>
              </v-list-tile>
                 <v-list-tile key="board" router to="board">
                   <v-list-tile-action>
                       <v-icon>dashboard</v-icon>
                    </v-list-tile-action>
                    <v-list-tile-content>
                        <v-list-tile-title>{{ $i18n.t("menu.board") }}</v-list-tile-title>
                    </v-list-tile-content>
                </v-list-tile>
                <v-list-tile key="archived" avatar ripple router to="search?open=false" replace>
                    <v-list-tile-action>
                        <v-icon>inbox</v-icon>
                    </v-list-tile-action>
                    <v-list-tile-content>
                        <v-list-tile-title><span id="archive-menu">{{ $i18n.t("menu.archive") }}</span></v-list-tile-title>
                    </v-list-tile-content>
                </v-list-tile>
          </v-list-group>
          
          <template v-for="(item, index) in items">
               <v-list-tile :key="item.title" avatar ripple :to="item.to" replace @click="run(item.action)">
                    <v-list-tile-action>
                        <v-icon>{{ item.icon }}</v-icon>
                    </v-list-tile-action>
    
                    <v-list-tile-content>
                        <v-list-tile-title>{{ item.title }}</v-list-tile-title>
                    </v-list-tile-content>
                 
                </v-list-tile>
    
                <v-divider v-if="item.divider" :key="`divider-${index}`"></v-divider>
            </template>
            
             <v-bottom-nav absolute color="transparent"  :value="true" class="elevation-0">
                  <v-list-tile key="board">
                   <v-list-tile-action>
                       <v-icon color="accent">language</v-icon>
                    </v-list-tile-action>
                    <v-list-tile-content>
                        <v-list-tile-title>
                            <v-layout row>
                                <v-flex xs12 @click="selectLang('en')" :style="enLangColor"> 
                                    {{ $i18n.t("common.lang.en") }}                                
                                </v-flex>
                                <v-flex xs12 @click="selectLang('fr')" :style="frLangColor"> 
                                    {{ $i18n.t("common.lang.fr") }}                                
                                </v-flex>
                            </v-layout>
                        </v-list-tile-title>
                    </v-list-tile-content>
                </v-list-tile>
             </v-bottom-nav>
            
            
             <v-dialog v-model="aboutDialog" max-width="640" scrollable>
                 <v-card>
                    <v-card-title class="headline">{{$i18n.t("menu.about")}}</v-card-title>
            
                    <v-card-text v-html='aboutText'></v-card-text>
            
                    <v-card-actions>
                      <v-spacer></v-spacer>
                      <v-btn color="primary" flat="flat" @click="aboutDialog = false">
                        {{$i18n.t("common.close")}}
                      </v-btn>
                    </v-card-actions>
                </v-card>
            </v-dialog>
            
        </v-list>
    </v-navigation-drawer>
</template>

<script>
import moment from 'moment'
import axios from 'axios'
export default {
    name: 'NavDrawer',
    props: ['drawer'],
    data () {
        return {
            localDrawer: this.drawer,
            aboutDialog: null,
            aboutText: null
        }
    },
    computed: {
        logoutTitle() { return  this.$i18n.t("menu.logout") },
        aboutTitle() { return this.$i18n.t("menu.about") } ,
        accountTitle() {  return this.$i18n.t("menu.account") },
        items() {
            return [
                { title: this.accountTitle, icon: 'account_circle', to: 'account' },
                { title: this.logoutTitle, icon: 'lock_open', action: 'logout' },
                { title: this.aboutTitle, icon: 'help_outline', action: 'about' }
            ]
        },
        enLangColor() {
           return this.langColor('en')
        },
        frLangColor() {
           return this.langColor('fr')
        },
    },
    mounted() {
        this.loadAbout()
    },
    methods: {
        about() {
            this.aboutDialog = true
        },
        langColor(lang) {
          const color =  this.$i18n.locale == lang ? "#2196F3" : "black"
          return `color: ${color}`
        }, 
        run(fn) {
            if ( typeof this[fn] == 'function' ) {
                this[fn]()
            }
        },
        selectLang(lang) {
            this.$i18n.locale = lang
            moment.locale(lang)
            this.localDrawer = false
            this.$api.updateUser({locale: lang})
            this.loadAbout()
        },
        loadAbout() {
            axios.get(`/resources/html/about.${this.$i18n.locale}.html`).then((r) => this.aboutText = r.data)
        }
    },
    watch: {
        drawer: function(v) {
            this.localDrawer = v
        },
        localDrawer: function(v) {
            this.$emit('update', v)
        }
    }
}
</script>





